Manifest-Version: 1.0
Bnd-LastModified: 1739499927930
Build-Jdk: 11.0.4
Built-By: root
Bundle-Description: Apache Synapse - Commons classes
Bundle-DocURL: http://www.apache.org/
Bundle-License: http://www.apache.org/licenses/LICENSE-2.0.txt
Bundle-ManifestVersion: 2
Bundle-Name: Apache Synapse - Commons classes
Bundle-SymbolicName: synapse-commons
Bundle-Vendor: Apache Software Foundation
Bundle-Version: 4.0.0.wso2v213
Created-By: Apache Maven Bundle Plugin
DynamicImport-Package: *
Export-Package: org.apache.synapse.commons;uses:="org.apache.commons.log
 ging";version="4.0.0",org.apache.synapse.commons.beanstalk.enterprise;u
 ses:="javax.naming";version="4.0.0",org.apache.synapse.commons.builders
 ;uses:="org.apache.axiom.om,org.apache.axis2,org.apache.axis2.builder,o
 rg.apache.axis2.context";version="4.0.0",org.apache.synapse.commons.cry
 pto;uses:="org.apache.axis2";version="4.0.0",org.apache.synapse.commons
 .datasource;uses:="javax.naming,javax.sql,org.apache.synapse.commons.jm
 x,org.wso2.securevault.secret";version="4.0.0",org.apache.synapse.commo
 ns.datasource.factory;uses:="javax.sql,org.apache.synapse.commons.datas
 ource";version="4.0.0",org.apache.synapse.commons.datasource.serializer
 ;uses:="org.apache.synapse.commons.datasource";version="4.0.0",org.apac
 he.synapse.commons.emulator;uses:="com.google.gson,com.google.gson.refl
 ect";version="4.0.0",org.apache.synapse.commons.emulator.core;uses:="or
 g.apache.synapse.commons.emulator.http";version="4.0.0",org.apache.syna
 pse.commons.emulator.http;uses:="io.netty.channel,io.netty.channel.sock
 et,io.netty.handler.ssl,org.apache.synapse.commons.emulator.core,org.ap
 ache.synapse.commons.emulator.http.consumer,org.apache.synapse.commons.
 emulator.http.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.prod
 ucer,org.apache.synapse.commons.emulator.http.producer";version="4.0.0"
 ,org.apache.synapse.commons.emulator.http.consumer;uses:="io.netty.chan
 nel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.htt
 p.dsl";version="4.0.0",org.apache.synapse.commons.emulator.http.dsl;use
 s:="io.netty.channel,io.netty.handler.codec.http,org.apache.synapse.com
 mons.emulator.core,org.apache.synapse.commons.emulator.http,org.apache.
 synapse.commons.emulator.http.dsl.dto.consumer,org.apache.synapse.commo
 ns.emulator.http.dsl.dto.producer";version="4.0.0",org.apache.synapse.c
 ommons.emulator.http.dsl.dto;version="4.0.0",org.apache.synapse.commons
 .emulator.http.dsl.dto.consumer;uses:="io.netty.handler.codec.http,org.
 apache.synapse.commons.emulator.http.consumer,org.apache.synapse.common
 s.emulator.http.dsl.dto";version="4.0.0",org.apache.synapse.commons.emu
 lator.http.dsl.dto.producer;uses:="io.netty.handler.codec.http,org.apac
 he.synapse.commons.emulator.http.dsl.dto";version="4.0.0",org.apache.sy
 napse.commons.emulator.http.producer;uses:="io.netty.buffer,io.netty.ch
 annel,io.netty.handler.codec.http,org.apache.synapse.commons.emulator.h
 ttp.dsl,org.apache.synapse.commons.emulator.http.dsl.dto.producer";vers
 ion="4.0.0",org.apache.synapse.commons.evaluators;uses:="org.apache.axi
 om.om,org.apache.axis2.context,org.apache.synapse.commons.evaluators.so
 urce";version="4.0.0",org.apache.synapse.commons.evaluators.config;uses
 :="org.apache.axiom.om,org.apache.commons.logging,org.apache.synapse.co
 mmons.evaluators,org.apache.synapse.commons.evaluators.source";version=
 "4.0.0",org.apache.synapse.commons.evaluators.source;uses:="org.apache.
 synapse.commons.evaluators";version="4.0.0",org.apache.synapse.commons.
 executors;version="4.0.0",org.apache.synapse.commons.executors.config;u
 ses:="javax.xml.namespace,org.apache.axiom.om,org.apache.axis2,org.apac
 he.synapse.commons.executors";version="4.0.0",org.apache.synapse.common
 s.executors.queues;uses:="org.apache.synapse.commons.executors";version
 ="4.0.0",org.apache.synapse.commons.formatters;uses:="org.apache.axiom.
 om,org.apache.axis2,org.apache.axis2.context,org.apache.axis2.transport
 ";version="4.0.0",org.apache.synapse.commons.handlers;uses:="org.apache
 .axis2.context";version="4.0.0",org.apache.synapse.commons.handlers.exc
 eption;version="4.0.0",org.apache.synapse.commons.jmx;uses:="javax.mana
 gement.remote,javax.security.auth,org.wso2.securevault.secret";version=
 "4.0.0",org.apache.synapse.commons.json;uses:="javax.xml.stream,org.apa
 che.axiom.om,org.apache.axis2,org.apache.axis2.builder,org.apache.axis2
 .context,org.apache.axis2.transport,org.apache.synapse.commons.staxon.c
 ore.json";version="4.0.0",org.apache.synapse.commons.json.jsonprocessor
 .constants;version="4.0.0",org.apache.synapse.commons.json.jsonprocesso
 r.exceptions;version="4.0.0",org.apache.synapse.commons.json.jsonproces
 sor.parser;uses:="org.apache.synapse.commons.json.jsonprocessor.excepti
 ons";version="4.0.0",org.apache.synapse.commons.json.jsonprocessor.util
 s;uses:="com.google.gson,org.apache.synapse.commons.json.jsonprocessor.
 exceptions";version="4.0.0",org.apache.synapse.commons.json.jsonprocess
 or.validators;uses:="com.google.gson,org.apache.synapse.commons.json.js
 onprocessor.exceptions";version="4.0.0",org.apache.synapse.commons.json
 .staxon;version="4.0.0",org.apache.synapse.commons.logger;uses:="org.ap
 ache.axis2.context,org.apache.commons.logging,org.apache.http.protocol"
 ;version="4.0.0",org.apache.synapse.commons.property;version="4.0.0",or
 g.apache.synapse.commons.resolvers;version="4.0.0",org.apache.synapse.c
 ommons.snmp;uses:="javax.management,org.snmp4j.agent.mo,org.snmp4j.smi"
 ;version="4.0.0",org.apache.synapse.commons.staxon.core.base;uses:="jav
 ax.xml.namespace,javax.xml.stream,javax.xml.stream.util,javax.xml.trans
 form";version="4.0.0",org.apache.synapse.commons.staxon.core.event;uses
 :="javax.xml.namespace,javax.xml.stream,javax.xml.stream.events,javax.x
 ml.stream.util";version="4.0.0",org.apache.synapse.commons.staxon.core.
 json;uses:="javax.xml.namespace,javax.xml.stream,org.apache.synapse.com
 mons.staxon.core.base,org.apache.synapse.commons.staxon.core.json.strea
 m,org.apache.synapse.commons.staxon.core.json.stream.impl";version="4.0
 .0",org.apache.synapse.commons.staxon.core.json.jaxb;uses:="javax.xml.b
 ind,javax.xml.bind.annotation,javax.xml.namespace,javax.xml.stream,org.
 apache.synapse.commons.staxon.core.json";version="4.0.0",org.apache.syn
 apse.commons.staxon.core.json.stream;uses:="javax.xml.stream,org.apache
 .synapse.commons.staxon.core.json.stream.impl";version="4.0.0",org.apac
 he.synapse.commons.staxon.core.json.stream.impl;uses:="org.apache.synap
 se.commons.staxon.core.json.stream";version="4.0.0",org.apache.synapse.
 commons.staxon.core.json.stream.util;uses:="javax.xml.namespace,org.apa
 che.synapse.commons.staxon.core.json.stream";version="4.0.0",org.apache
 .synapse.commons.staxon.core.json.util;uses:="javax.xml.stream,javax.xm
 l.stream.events,org.apache.synapse.commons.staxon.core.util";version="4
 .0.0",org.apache.synapse.commons.staxon.core.util;uses:="javax.xml.name
 space,javax.xml.parsers,javax.xml.stream,javax.xml.stream.events,javax.
 xml.stream.util,org.w3c.dom";version="4.0.0",org.apache.synapse.commons
 .staxon.core.xml.util;uses:="javax.xml.stream,javax.xml.stream.events,o
 rg.apache.synapse.commons.staxon.core.util";version="4.0.0",org.apache.
 synapse.commons.templates.uri;version="4.0.0",org.apache.synapse.common
 s.templates.uri.parser;uses:="org.apache.synapse.commons.templates.uri"
 ;version="4.0.0",org.apache.synapse.commons.throttle.core;uses:="javax.
 cache,javax.xml.namespace,org.apache.axis2.clustering,org.apache.axis2.
 context,org.apache.neethi";version="4.0.0",org.apache.synapse.commons.t
 hrottle.core.factory;uses:="org.apache.synapse.commons.throttle.core";v
 ersion="4.0.0",org.apache.synapse.commons.throttle.core.impl.domainbase
 ;uses:="org.apache.synapse.commons.throttle.core";version="4.0.0",org.a
 pache.synapse.commons.throttle.core.impl.ipbase;uses:="org.apache.synap
 se.commons.throttle.core";version="4.0.0",org.apache.synapse.commons.th
 rottle.core.impl.rolebase;uses:="org.apache.synapse.commons.throttle.co
 re";version="4.0.0",org.apache.synapse.commons.throttle.core.internal;u
 ses:="org.apache.synapse.commons.throttle.core,org.osgi.service.compone
 nt";version="4.0.0",org.apache.synapse.commons.throttle.module;uses:="o
 rg.apache.axiom.om,org.apache.axis2,org.apache.axis2.context,org.apache
 .axis2.description,org.apache.axis2.engine,org.apache.axis2.modules,org
 .apache.neethi,org.apache.synapse.commons.throttle.core";version="4.0.0
 ",org.apache.synapse.commons.throttle.module.handler;uses:="org.apache.
 axis2,org.apache.axis2.context,org.apache.axis2.engine,org.apache.axis2
 .handlers,org.apache.synapse.commons.throttle.core";version="4.0.0",org
 .apache.synapse.commons.throttle.module.utils;uses:="org.apache.synapse
 .commons.throttle.core";version="4.0.0",org.apache.synapse.commons.thro
 ttle.module.utils.impl;uses:="org.apache.synapse.commons.throttle.modul
 e.utils";version="4.0.0",org.apache.synapse.commons.transaction;uses:="
 javax.naming,javax.sql,javax.transaction,org.apache.commons.logging";ve
 rsion="4.0.0",org.apache.synapse.commons.util;uses:="org.apache.axiom.o
 m,org.apache.commons.logging";version="4.0.0",org.apache.synapse.common
 s.util.ext;version="4.0.0",org.apache.synapse.commons.vfs;uses:="org.ap
 ache.axiom.attachments,org.apache.axis2.context,org.apache.axis2.descri
 ption,org.apache.axis2.transport,org.apache.commons.vfs2";version="4.0.
 0"
Import-Package: com.google.common.util.concurrent;resolution:=optional;v
 ersion="[33.0,34)",com.google.gson;resolution:=optional;version="[2.11,
 3)",com.google.gson.reflect;resolution:=optional;version="[2.11,3)",com
 .google.gson.stream;resolution:=optional;version="[2.11,3)",io.netty.bo
 otstrap;resolution:=optional;version="[4.1,5)",io.netty.buffer;resoluti
 on:=optional;version="[4.1,5)",io.netty.channel;resolution:=optional;ve
 rsion="[4.1,5)",io.netty.channel.nio;resolution:=optional;version="[4.1
 ,5)",io.netty.channel.socket;resolution:=optional;version="[4.1,5)",io.
 netty.channel.socket.nio;resolution:=optional;version="[4.1,5)",io.nett
 y.handler.codec;resolution:=optional;version="[4.1,5)",io.netty.handler
 .codec.http;resolution:=optional;version="[4.1,5)",io.netty.handler.cod
 ec.http.cookie;resolution:=optional;version="[4.1,5)",io.netty.handler.
 logging;resolution:=optional;version="[4.1,5)",io.netty.handler.ssl;res
 olution:=optional;version="[4.1,5)",io.netty.handler.ssl.util;resolutio
 n:=optional;version="[4.1,5)",io.netty.util;resolution:=optional;versio
 n="[4.1,5)",io.netty.util.concurrent;resolution:=optional;version="[4.1
 ,5)",javax.activation;resolution:=optional;version="[0.0,1)",javax.cach
 e;resolution:=optional;version="[1.0,2)",javax.management;resolution:=o
 ptional,javax.management.remote;resolution:=optional,javax.naming;resol
 ution:=optional,javax.naming.spi;resolution:=optional,javax.net.ssl;res
 olution:=optional,javax.security.auth;resolution:=optional,javax.servle
 t.http;resolution:=optional;version="[3.0,4)",javax.sql;resolution:=opt
 ional,javax.transaction;resolution:=optional,javax.transaction.xa;resol
 ution:=optional,javax.xml.bind;resolution:=optional;version="[2.3,3)",j
 avax.xml.bind.annotation;resolution:=optional;version="[2.3,3)",javax.x
 ml.parsers;resolution:=optional,javax.xml.stream;resolution:=optional;v
 ersion="[1.0,2)",javax.xml.stream.events;resolution:=optional;version="
 [1.0,2)",javax.xml.stream.util;resolution:=optional;version="[1.0,2)",j
 avax.xml.transform;resolution:=optional,javax.xml.transform.dom;resolut
 ion:=optional,javax.xml.transform.stream;resolution:=optional,org.apach
 e.axiom.attachments;resolution:=optional,org.apache.axiom.om;resolution
 :=optional,org.apache.axiom.om.impl.builder;resolution:=optional,org.ap
 ache.axiom.om.impl.llom;resolution:=optional,org.apache.axiom.om.xpath;
 resolution:=optional,org.apache.axiom.soap;resolution:=optional,org.apa
 che.axiom.util.base64;resolution:=optional,org.apache.axis2;resolution:
 =optional,org.apache.axis2.addressing;resolution:=optional,org.apache.a
 xis2.builder;resolution:=optional,org.apache.axis2.clustering;resolutio
 n:=optional,org.apache.axis2.context;resolution:=optional,org.apache.ax
 is2.description;resolution:=optional,org.apache.axis2.engine;resolution
 :=optional,org.apache.axis2.handlers;resolution:=optional,org.apache.ax
 is2.i18n;resolution:=optional,org.apache.axis2.java.security;resolution
 :=optional,org.apache.axis2.modules;resolution:=optional,org.apache.axi
 s2.transport;resolution:=optional,org.apache.axis2.transport.base;resol
 ution:=optional;version="[1.6,2)",org.apache.axis2.transport.base.threa
 ds;resolution:=optional;version="[1.6,2)",org.apache.axis2.transport.ht
 tp;resolution:=optional;version="[1.6,2)",org.apache.axis2.transport.ht
 tp.util;resolution:=optional;version="[1.6,2)",org.apache.axis2.util;re
 solution:=optional,org.apache.commons.io;resolution:=optional;version="
 [2.0,3)",org.apache.commons.io.output;resolution:=optional;version="[2.
 0,3)",org.apache.commons.lang;resolution:=optional;version="[2.4,3)",or
 g.apache.commons.lang3;resolution:=optional;version="[3.12,4)",org.apac
 he.commons.lang3.math;resolution:=optional;version="[3.12,4)",org.apach
 e.commons.logging;resolution:=optional,org.apache.commons.vfs2;resoluti
 on:=optional,org.apache.commons.vfs2.impl;resolution:=optional,org.apac
 he.commons.vfs2.provider;resolution:=optional,org.apache.commons.vfs2.p
 rovider.ftps;resolution:=optional,org.apache.commons.vfs2.util;resoluti
 on:=optional,org.apache.geronimo.mail.util;resolution:=optional;version
 ="[1.4,2)",org.apache.http.protocol;resolution:=optional,org.apache.log
 ging.log4j;resolution:=optional;version="[2.17,3)",org.apache.neethi;re
 solution:=optional,org.apache.neethi.builders.xml;resolution:=optional,
 org.apache.synapse.commons;resolution:=optional,org.apache.synapse.comm
 ons.datasource;resolution:=optional,org.apache.synapse.commons.datasour
 ce.factory;resolution:=optional,org.apache.synapse.commons.emulator;res
 olution:=optional,org.apache.synapse.commons.emulator.core;resolution:=
 optional,org.apache.synapse.commons.emulator.http;resolution:=optional,
 org.apache.synapse.commons.emulator.http.consumer;resolution:=optional,
 org.apache.synapse.commons.emulator.http.dsl;resolution:=optional,org.a
 pache.synapse.commons.emulator.http.dsl.dto;resolution:=optional,org.ap
 ache.synapse.commons.emulator.http.dsl.dto.consumer;resolution:=optiona
 l,org.apache.synapse.commons.emulator.http.dsl.dto.producer;resolution:
 =optional,org.apache.synapse.commons.emulator.http.producer;resolution:
 =optional,org.apache.synapse.commons.evaluators;resolution:=optional,or
 g.apache.synapse.commons.evaluators.config;resolution:=optional,org.apa
 che.synapse.commons.evaluators.source;resolution:=optional,org.apache.s
 ynapse.commons.executors;resolution:=optional,org.apache.synapse.common
 s.executors.queues;resolution:=optional,org.apache.synapse.commons.jmx;
 resolution:=optional,org.apache.synapse.commons.json.jsonprocessor.cons
 tants;resolution:=optional,org.apache.synapse.commons.json.jsonprocesso
 r.exceptions;resolution:=optional,org.apache.synapse.commons.json.jsonp
 rocessor.utils;resolution:=optional,org.apache.synapse.commons.json.jso
 nprocessor.validators;resolution:=optional,org.apache.synapse.commons.p
 roperty;resolution:=optional,org.apache.synapse.commons.resolvers;resol
 ution:=optional,org.apache.synapse.commons.staxon.core.base;resolution:
 =optional,org.apache.synapse.commons.staxon.core.event;resolution:=opti
 onal,org.apache.synapse.commons.staxon.core.json;resolution:=optional,o
 rg.apache.synapse.commons.staxon.core.json.stream;resolution:=optional,
 org.apache.synapse.commons.staxon.core.json.stream.impl;resolution:=opt
 ional,org.apache.synapse.commons.staxon.core.json.stream.util;resolutio
 n:=optional,org.apache.synapse.commons.staxon.core.json.util;resolution
 :=optional,org.apache.synapse.commons.staxon.core.util;resolution:=opti
 onal,org.apache.synapse.commons.templates.uri;resolution:=optional,org.
 apache.synapse.commons.templates.uri.parser;resolution:=optional,org.ap
 ache.synapse.commons.throttle.core;resolution:=optional,org.apache.syna
 pse.commons.throttle.core.factory;resolution:=optional,org.apache.synap
 se.commons.throttle.core.impl.domainbase;resolution:=optional,org.apach
 e.synapse.commons.throttle.core.impl.ipbase;resolution:=optional,org.ap
 ache.synapse.commons.throttle.core.impl.rolebase;resolution:=optional,o
 rg.apache.synapse.commons.throttle.core.internal;resolution:=optional,o
 rg.apache.synapse.commons.throttle.module;resolution:=optional,org.apac
 he.synapse.commons.throttle.module.utils;resolution:=optional,org.apach
 e.synapse.commons.throttle.module.utils.impl;resolution:=optional,org.a
 pache.synapse.commons.util;resolution:=optional,org.apache.tomcat.dbcp.
 dbcp2;resolution:=optional;version="[9.0,10)",org.apache.tomcat.dbcp.db
 cp2.cpdsadapter;resolution:=optional;version="[9.0,10)",org.apache.tomc
 at.dbcp.dbcp2.datasources;resolution:=optional;version="[9.0,10)",org.j
 axen;resolution:=optional;version="[1.2,2)",org.osgi.service.component;
 resolution:=optional;version="[1.2,2)",org.snmp4j;resolution:=optional,
 org.snmp4j.agent;resolution:=optional,org.snmp4j.agent.mo;resolution:=o
 ptional,org.snmp4j.agent.mo.snmp;resolution:=optional,org.snmp4j.log;re
 solution:=optional,org.snmp4j.mp;resolution:=optional,org.snmp4j.securi
 ty;resolution:=optional,org.snmp4j.smi;resolution:=optional,org.snmp4j.
 transport;resolution:=optional,org.w3c.dom;resolution:=optional,org.wso
 2.securevault;resolution:=optional,org.wso2.securevault.commons;resolut
 ion:=optional,org.wso2.securevault.definition;resolution:=optional,org.
 wso2.securevault.keystore;resolution:=optional,org.wso2.securevault.sec
 ret;resolution:=optional,org.xml.sax;resolution:=optional,org.xml.sax.h
 elpers;resolution:=optional,javax.xml.namespace;version="0.0.0"
Require-Capability: osgi.service;filter:="(objectClass=org.apache.synaps
 e.commons.throttle.core.DistributedCounterManager)";effective:=active;r
 esolution:=optional;cardinality:=multiple,osgi.service;filter:="(object
 Class=org.apache.synapse.commons.throttle.core.internal.DistributedThro
 ttleProcessor)";effective:=active;resolution:=optional;cardinality:=mul
 tiple,osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/throttle.core.services.xml
Tool: Bnd-3.3.0.201609221906
